Skip to main content
GET
/
v1
/
algo
/
order
/
{order_id}
/
trades
Get all trades of specific algo order
curl --request GET \
  --url https://api.orderly.org/v1/algo/order/{order_id}/trades \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": {
    "rows": [
      {
        "id": 2,
        "symbol": "PERP_BTC_USDC",
        "fee": 0.0001,
        "fee_asset": "USDC",
        "side": "BUY",
        "order_id": 1,
        "executed_price": 123,
        "executed_quantity": 0.05,
        "executed_timestamp": 1567382401000,
        "is_maker": 1,
        "match_id": ""
      }
    ]
  },
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Path Parameters

order_id
number
required

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required
timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989